=== 2026 hot-fixes ===============================================================

- Monitor+INFO merged into a single selection module menu
- had to slow down a little Clipboard send because of SHIFT inertia with the system
- clipboard Send now works with emulator mapping activated

=== 2026 Not yeeeeeeeeeeet ===================================================

- updated SDL to 3.4.10 (more controllers supported + fixes)
- ability to send text to emulator from clipboard with SHIFT-INSERT (fast mode in other misc)
- ask for drive change when floppy is too big for current drive (see also other misc options)
- when trace in high-speed (with SHIFT), reduce side windows refresh
- new debug window Register Explorer (left-click on trace to open this window)
- new debug window Memory History visualisation
- trace window is now resizable in width (in order to display longer labels)
- trace submenu can be opened using P key when you do not have right-click available

=== 2026 Pico-Chou! ======================================================

- added bank 0 support mapped anywhere for picoSave
- test coordinates to enforce each opened window inside a visible screen
- fix last written address may trigger a new command with picoSave
- fix picoGX trigger during TRACE display
- fix picoGX STOP command (must not write all the time ^_^)

=== 2026 Focus ====================================================

- fix disassembling windows opening from trace shortcut D
- picoGX save support
- side-windows more responsive
- added BREAK ON VBL in breakpoint module
- default adress Mask with memory breakpoint is #FFFF
- display VBL nop count in debug title bar when BAD VBL trigger breakpoint
- added backspace+delete in label search popup when not using keyboard translation

=== 2026 Enlarge your cartridge ===================================

- handle legacy CPR up to 1.5M (XPR support remains for bigger cartridges)
- DSK history add timestamp to OLD version (not new...), the last version keep the original name
- memory explorer windows are now resizable + bigger font
- new option to add a grid over emulation window (see other misc options)
- new option to hide tooltips of the HUD
- do not save file if ESC pressed or focus lost with filename input box
- bugfix EDSK manager crash with kindah textbook case
- bugfix cartridge loader with unknown chunk

=== 2026 Ergotronics ==============================================

- updated SDL to 3.4.2 (more controllers supported + fixes)
- added map carto with memory watchers with disassembling window (R to reset carto)
- added DELETE+BACKSPACE management for digit editable fields
- context menu in trace no more blocking with focus loss
- breakpoints window is now resizable + wheel and better scrollbar in the sheet
- trace window is now resizable in height + better scrollbar for the code
- if a symbol exists for a new breakpoint address, then use it as default name
- close some blocking windows on input focus loss (wont be blocking anymore)
- fix glitches with search popup of memory explorer

=== 2026 l'année de la saucisse =======================

- updated SDL to 3.4.0
- bugfix regression in breakpoint address mask selection
- bugfix crash when export listing without selecting a file
- bugfix wrong values in DMA debug
- ASIC debug also display current line in Hexa
- ASIC can be unlocked clicking on "Locked &" in ASIC debug window

=== 2025 Before New Year's Eve =========================

- ability to execute data after load in memory explorer, with or without AMDSOS header (drag inside center box)
- bugfix Memory explorer emulator mapping in Plus mode... (nobody using it? ^_^)
- bugfix regression in keyboard selection for Mac
- added new translations in configuration menu
- added DSK watcher on all drives (see other misc options)
- added CPC+ chunk decoding when loading ACE snapshot
- added CRTC address next to memory address in graphic explorer
- added hardware sprite highlight (in most standard multiplexing cases)

=== 2025 BND-5 ===================

- Raspberry Pi version \o/
- Update SDL3 to 3.2.26
- bugfix hardware configuration option submenu
- bugfix joystick configuration (random consideration)
- bugfix interrupt order and ack (thanks to NoRecess)
- bugfix on CRTC-2
- little adjustment in free/adaptive/g-Sync management
- new plugin for MasterCity soundcard (ym2412) thanks to Syx
- Samples and OPL emulation for Play2CPC thanks to Syx
- plugin audio emulation rewritten to fit original ACE management
- cosmetics in AY module
- added interrupt pending in Gate Array visualization
- new command line to disable all windows but the emulator
- do not bother endlessly with DSK to save when user sayed No
- ability to load floppy image in A: or B: by prefixing their names
- added red border with disabled sprite or green border with sprite enable

=== 2025 Service Release ===

- Update SDL3 to 3.2.16 version (X11 fullscreen fixes, MacOS Catalina mouse fixes)
- Allow to change memory source in Memory Explorer without going to debug
- Ability to save media (F4 key) from floppy file management
- Ability to change audio driver from configuration menu + saved in configuration
- Fix extended cartridge slot count + NBBK endian read
- Fix SDL3 audio driver selection from command line
- Fix Mono/Stereo switch in Machine configuration (no need to restart emulator to be effective)

=== 2025 Summer is coming ================================

- Update SDL3 to 3.2.12 version (more joysticks supported)
- Enforce window position inside available screens
- Cursor navigation in Label search window
- Raise window in case asking for it but already opened
- Stack values in Trace may be clicked to jump to these values
- Bugfix fastSearch in file selector with lower case + reloop on a key

=== 2025 Mars ================================

- Trim end of filenames to remove spaces (mostly a ManageDsk problem with existing names)
- Do NOT play Relay Click sample when using CRTC-3 (Plus/GX) model
- Fix window glitch when redefining joystick
- Fix double window blit with Graphic Explorer
- Minor Cathodic filter light propagation enhancement
- Keep line count display in HUD during paused emulation (Trace)
- Ability to click and drag for memory selection in Memory Explorer
- Ability to set end of selection with SHIFT-G (goto) in Memory Explorer

=== 2025 SDL3 Patch 10 ================================

- Ability to change gamepad mapping in Joystick configuration
- Ability to change albireo path from command line
- Fix wheel + keyboard inputs in file selector
- Fix binary export of file with wrong header
- Fix language flags transparency display
- Fix databus contention display in configuration
- Fix next file export in ManageDsk (was skipping filename)

=== 2025 SDL3 Patch 9 ======================

- Display in trace window title the reason of BREAK
- FDC breakpoints no longer need Winape Break enabled
- Fix backspace key in Search Label window
- Fix joystick configuration trouble (especially with multiple gamepad plugged)
- Force focus on main window after joystick redefinition

=== 2025 SDL3 Patch 7+ ======================

- Added online documentation for Memory Explorer
- Update SDL3 to 3.2.8 version (more joysticks supported)
- More responsiveness in the F3 selection menu (using new keyboard routines)
- Fix Keyboard/Gamepad input lags in emulation
- Fix Joystick emulation with keyboard (no more unwanted keyz or conflicts)
- Fix Play2CPC coordinates backup

=== 2025 SDL3 Patch 2 to 6 ==================

- Do not always use scaling in fullScreen
- Keep audio buffer settings in configuration file
- Fix memory explorer SDL3 regression...
- Fix inputs in ACE GUI for interactions
- Fix FullScreen surface init
- Fix Audio Crash with 8bits, 16bits audio card and multi-channel only cards
- Ability to map most of unknown keyboard char to GUI

=== 2025 SDL3 ================

- Now using SDL version 3 which include strong internal changes
- New joystick management engine (should fix xbox joystick issue, and more)
- Analog joystick support for Amstrad Plus/GX-4000 + bugs optional emulation
- Improve responsiveness of keyboard inputs in GUI
- Bugfix Virtual keyboard (wasn't exporting keys)
- Highlight modifications in Memory Explorer
- FullScreen now use hardware blit rescale

=== 2025 Guy hack ====================

- new method for window decoration hack compatible with Ubuntu taskbar and MacOs bars

=== 2025 Jaaaaaaaaaannnnvier ====================

- upgraded iMPdraw rom pack to sept 2024
- new options for EDSK autosave and versioning
- ability to save Tiles/Sprites in graphic explorer
- ability to load RASM symbols chunk in Cartridge (get new Rasm!)
- ability to toggle all execution breakPoints from Trace with key 'T'
- execution breakPoints in watcher mode are now green in Trace

=== 2024 Christmas ====================

- bugfix directory load with MacOS
- spanish translations for the GUI (see flags with F12)
- ability to use (L)abels to jump in memory from Graphics Explorer
- +/- from numeric keypad change emulation output volume

=== 2024 O.D.I.L.E. ====================

- added new traductions
- added FullScreen mode for Linux/Windows users (F11 key)
- upgrade width/height limit to 512 in Graphics Explorer
- added Amsdos header option for Memory import in configuration saves
- now you can resize Graphics Explorer window + size saved in configuration
- display an error message when a file is not supported (instead of simply discarding it)
- bugfix step over in trace with HALT, LDIR, CPIR and other 'looped' instructions
- bugfix number of selected Upper Rom, displayed in Gate Array window
- bugfix number of selected bytes after a successful search
- bugfix recovery of explorers coordinates after close/reopening

=== 2024 Quetta ====================

- new extra Timer to increase ACE refresh accuracy
- added Atari SC1224 monitor emulation
- Added configuration SAVE/LOAD in configuration main menu
- Added configuration select from command line
- Left-clic on Reset must not reinitialise extended memory
- Command line option to select another Audio driver (AceDL -h for help)
- all GUI almost translated in French (optional)
- bugfix plastic cover size with CTM filters
- bugfix ACE breakpoints + evolutions

=== 2024 BND-4 / RGC 2024 ===

- Dandanator goes to Basic mode without cartridge to avoid side effects
- new button in Machine configuration to reinit the entire machine (no plugin, no rom, no breakpoints)
- import of natives ACE breakpoints from RASM symbol file
- may click Timer in Trace to reset nop counter
- may press F7,F8,F10 when trace mode but focused on another window
- added HOME/END and Shift+HOME/END in memory explorer to navigate in memory and selection
- more persistence for CRTC register value change
- bugfix underline for CRTC selected register

=== 2024 Back to school ===

- LibSDL upgraded to 2.30.7
- updated UNIDOS+packs to v1.51
- try to create .config directory for settings if it does not exists (Linux/Mac)
- Breakpoint activation when click ON the instruction (no more half screen or something...)
- Memory explorer can see/edit Dandanator ROM
- Memory explorer can see/edit Play2CPC Cartridge
- new debug module for Dandanator (with internal registers)
- new command line option for delaying autotype
- added brightness to saved settings
- bugfix SenseInterrupt breakpoint
- bugfix register display in AY debug
- bugfix memory overflow with AY audio display
- bugfix SYMBiFACE Mouse plugin not initialized at startup
- bugfix FDC default timings when loading snapshot from another emulator
- bugfix Emulator Mapping in Memory Explorer with ROM extension (do not use this for edition!)

=== 2024 Summer Fixes ===

- Save/Restore more parameters with RamDump/GFX Explorer windows
- Seek polling catch-up triggers earlier than expected (wip)
- Ability to see/edit/dump ASIC page in Memory Explorer
- Display current mapping in Memory Explorer when using Emulator mapping view
- bugfix crash when USB joystick has no name
- bugfix intempestive Memory Explorer or Breakpoint window when launched from a Memory Explorer
- bugfix RAM Breakpoint mask default (was 0 instead of 0x3FFF for any bank)

=== 2024 Wake points ===

- File import in RAM Explorer may use AMSDOS header when available (new option in miscellaneous)
- File import in RAM Explorer with AMSDOS header does not need the emulator to be paused
- ROM import from snapshot automapped into cartRidge or VROM when play2CPC is active
- Enabling condition editor for all breakpoints (need keyboard translation for GUI)
- Added CRTC mapping to breakpoint conditions
- Breakpoints import/export (ACE dedicated BRK files)
- Keep sound quiet when draging something into emulator when in Trace mode

=== 2024 PépéZinzin ===

- new option to follow R12/R13 in graphics explorer
- ignore case of CPR / DES / ROM when drag'n'drop
- avoid extra keystrokes with keyboard translation and joystick emulation
- use relative Mouse mode when emulating mouse plugins (no more side screen limitation)
- new motor speed calculations at shutdown for physical drive according to hardware measures
- bugfix backward ROM mapping scan with Play2CPC in RAM/GFX modules
- bugfix FM interactions with motor speed

=== 2024 Invitation ===

- new option to allow extra sounds when recording video
- new option to force stereo on CPC machines (not Plus already stereo)
- allow digits in AMSDOS name when importing with ManageDsk
- added full translated keyboard to label search (L in Trace)
- redraw GUI borders when dynamically change CRTC without plastic cover
- Drive step skipping management more realistic
- FDC new jitterBit reading algorithm (was slower than expected)
- FDC HUT bug extended to sick mode
- FDC shadow polling must skip sick steps
- bugfix floppy position optimisation on track change
- bugfix a few memory leaks (HFE management)

=== 2024 Mapping ===

- new easter eggs
- enable/disable breakpoints in trace in the left side only
- PlayCity default initialisation for YM frequencies
- Reset reinitialise all audio expansions
- ludicrous graphics optimisations
- tape player prototype (wav only, not accurate)
- new option to emulate contention on databus (affect PAL)
- dynamic CRTC change on the fly (beware of side effects)
- added FR (Apple layout) keyboard mapping
- added UK (Apple layout) keyboard mapping
- bugfix execution breakpoint toggle
- bugfix extended key on GUI mapping
- bugfix regression with mouse wheel on debug

=== 2024 Moar ===

- write new DSK to export subdir (mostly useful for Mac users)
- new highlights in debug
- new YM export functionality
- bugfix keyboard mapping in ManageDSK File Header text input
- bugfix keyboard mapping in RamDump (still improving handling)
- clean Amsdos name when import file with ManageDSK module
- ability to Pause the Emulation with Pause and ScrollLock
- Memory Explorer at startup reuses last mapping+location
- Graphics Explorer at startup reuses last mapping+settings

=== 2024 Bases of ACE ===

- little changes in Amstrad Plus monitor geometry
- added screen contours (Monitor>Plastic Cover)
- added US keyboard mapping
- keyboard mapping can be used in GUI (see new options in Configuration>Keyboard)
- bugfix some memory leaks
- bugfix FDC result persistence after Seek
- bugfix Green and Grey palette generation
- bugfix export of file >16K with floppy manager
- bugfix FDC timeout bug emulation, causing timeout on perfect writes...

=== 2024 May the Force ===

- Bugfix FDC Head reload with ReadData (some residual code left...)
- Automatic time counters with Execution Breakpoints (min, max, current)
- HexFind and TextFind in Memory Explorer (press F and N to repeat)
- Text Edition in Memory Explorer + Text selection
- AY registers color change on modification 
- FDC ReadTrack timings when Not Ready
- Snapshot default memory banking

=== 2024 Diptera ===

- True Drive LED management
- FDC Shadow polling management
- FDC Long HUT bug emulation
- FDC HUT cutoff for Seek/Calibrate/Illegal
- Reset emulator when draging new ROM to Dandanator
- Ludicrous timings adjustments in FDC polling according to electronic measures
- Ludicrous timings adjustments according to drive models for Ready loss with motor ON
- bugfix right-click on HUD buttons (wont trigger anymore vertically above)
- bugfix drive conflicts between A and B
- bugfix breakpoints on FDC Scan

=== 2024 A step beyond ===

- LibSDL upgraded to 2.30.2
- Shugart Drive ready loss time accuracy based on electronic sensors
- Drive distinction between EME-150A and EME-155
- FDC stress mode for command parameters
- allow configuration menu when in debug mode
- shadowing Joystick via Keyboard emulation at startup
- new HUD icon to temporary disabling Joystick via Keyboard emulation
- pressing F3 multiple time switch between Floppy/Snapshot load
- bugfix PSG volume with very high frequencies
- bugfix USB Joystick 1 Fire mapping
- bugfix multiple unintended opening of RamDump

=== 2024 Consolidation ===

- Use symbols for JR,JP,CALL in debug trace
- USB joystick can be used as Joystick 2
- Joystick Fire 3 for Joystick 1 and Joystick 2
- Joystick polling at 25Hz (like real hardware)
- Play a different sound when Drive head reaches the max
- FDC Scan command + dedicated breakpoint
- FDC invalid command calls
- FDC Multi-Track on ReadDiag
- FDC Ready Loss during ReadDiag/ReadData/Format/ScanData
- FDC Head Load/Unload Time management rewritten
- FDC SeekStep/DriveStep engines integrated in Pooling for step accuracy
- FDC polling command override + pending execution
- FDC polling resync on executed ReadData/ReadDiag/ReadID
- FDC command overload management
- FDC even more precise stress bypass mode
- FDC GetID accurate timings
- FDC Specify accurate timings
- FDC SenseDrive light up the drive LED
- FDC ScanData, ReadData, ReadDiag and WriteData in FM mode
- FDC ScanData, ReadData and WriteData sector find decision
- FDC WriteData proper bit shift before writing according to PLL
- FDC Calibration/Seek usage of internal registers
- FDC Overrun error skipped on last byte of sector (765A specific)
- FDC Gap2 must be literally ignored when Read/Write
- FDC ReadDiag must ignore 28 bytes after index hole when starting to scan
- FDC Data Separator tolerances distinction between FDC9216 and SED9420C
- FDC Format better H,R results
- FDC DAM synchronization accuracy with non standard MFM structure
- Drive step management not anymore in FDC code
- shutdown audio when displaying help
- bugfix Format ID-CRC calculation
- bugfix SkipBit behaviour
- bugfix unexpected DAM behaviour with ReadData and ReadMark
- bugfix Ready on Gotek without Floppy
- bugfix Multi-Track on ReadData/WriteData
- bugfix Generic 3.5 Motor management
- bugfix Specify Head Load Time uninitialised
- bugfix CRTC 0 for registers 12 and 13 internal update (toms)

=== 2024 Olivia ===

- protect current floppy with Right-Click on "Eject" (in HUD)
- drive Ready behaviour on disk eject and motor ON
- drive Ready propagation only when non Shugart
- FDC WriteData behaviour with floppy protection
- FDC WriteData behaviour when drive is not Ready
- FDC WriteData result phase accurate timings
- FDC Format C & N results
- FDC Format behaviour with floppy protection
- FDC Format behaviour when drive is not Ready (bugfixed!)
- bugfix RASM Label display in trace
- bugfix Memory breakpoint in Extended RAM (from ramdump)
- bugfix Memory breakpoint in Main RAM location (from ramdump or snapshot)

=== 2024 Giboulees ===

- SCP reliability with strange format, empty tracks, asymmetrical sides (thanks Lone)
- Dandanator can load .rom files as well as .des files (same structure, only the name...)
- hide mouse cursor with Multiplay mouse
- 'hide mouse' setting added to saved configuration
- FDC Version accurate timings
- FDC extra-pooling management
- enforce page location with memory breakpoints from RAM/ROM Explorer
- ability to toggle overscan in trace mode (reset display)
- new setting Read/Write for Memory and IO breakpoints
- new shortcut M to change Access mode for a selected breakpoint in the list
- new presets for IO breakpoints
- bugfix regressions in breakpoint edition/activation

=== 2024 Before March ===

- breakpoints configuration now more in configuration menu but from breakpoints window
- no more Reset with F12 from trace (use HUD or CTRL-F9 like outside trace)
- new plugin MultiPlay MX4 (only mouse support on port A)
- new Interrupt break
- new command line option to open any window at any position (run with -h for detail)
- now can save media from trace via F4
- Interrupt routines highlighted on screen (Winape like, see misc options)
- FDC multi-tracks and multi-head features support
- FDC permissive timings reduced (some productions need at least a timeout)
- now there is only 3 directories for media, export or private data
- bigger work interval for vHold/hHold in Monitor settings
- Basic Explorer display proper real values with negative exponent
- save/restore Disassembling, RAM/ROM and Graphics Explorer windows positions
- bugfix FDC ET0 on unformatted track
- bugfix Gotek drive forced rotation

=== 2024 Modesty release ===

- Orgams ROM pack upgrade to FF240128
- new registers shortcuts in GOTO popup
- new script in video_stream in order to convert k-frames to PNG
- new snapshot watcher option to automatically reload snapshot on modification
- new zig-zag visualisation in Graphics Explorer
- ACE snapshots backups full FDC+Drive configuration
- FDC new breakpoints for GetID and Weak sector data read
- EDSK huge track skips track-header when building MFM flow (Thanks Lone)
- more interactivity with selection in RAM/ROM Explorer with cursor
- can scroll in Graphics Explorer with PageUp/PageDown
- bugfix Emulator background at correct size when popup asking something
- bugfix Emulator background in debug when using zoom x2
- bugfix FDC SenseInterrupt when seek was terminated but ready lost
- bugfix FDC default when using snapshot
- bugfix ROM chunk compression in snapshot

=== 2024 Valentine release ===

- Volume setting is now lowering ALL sounds
- Right-Click on Reset will do Strong Reset (memory, plugins)
- FDC breakpoints (from FDC window)
- FDC Sick mode full rewrite
- FDC ReadTrack EOT flag
- FDC Ready distinction for EME-150/155 and 156/156V/157
- FDC GetID in FM mode (mostly used to get hole index)
- FDC Format in FM mode (mostly for timings and erasing track)
- bugfix ManageDSK file existence test (was skipping last char)
- bugfix Snapshot RLE decoding (was Rasm/ACE only compatible...)
- bugfix FDC sector ID calculations
- bugfix FDC calibration on drive B without drive B
- bugfix Basic Explorer display with huge real values
- bugfix Basic Explorer integrity check

=== 2024 Pre Valentine release ===

- New Basic Explorer (available from richt-click menu in Trace)
- FDC Write behaviour with zero size sectors
- FDC Format last bytes of the track behaviour
- FDC DMA & Uninitialised behaviour
- FDC Quick Ready loss and SenseInterrupt
- FDC polling timings
- FDC ReadData/ReadMark/ReadTrack better error status
- FDC Accurate GetBit at low speed
- FDC SenseDrive behaviour of Generic 3.5
- Floppy drive new deceleration method
- Floppy drive ready rising configuration
- bugfix SenseDrive persistent status
- bugfix Gotek default Ready
- bugfix SeekTrack over 82
- bugfix SenseInterrupt track info with Ready loss

=== 2024 FDC investigations release ===

- FDC ReadDiag/ReadData sub-status timings accuracy
- FDC Sense Interrupt evolutions (interrupt overwrites, timings)
- FDC Format behaviour evolutions (results, overlap, timings)
- FDC Accurate Write timeout (different from Read timeout)
- FDC Debug window displays General Status + step info
- FDC GetID sick mode emulation
- FDC Seek/Calibration evolutions (why, how, what, where, when)
- Floppy Drive seek tolerances behaviour simulated
- added Left-CTRL as fire 2 for WASD joystick emulation
- Play2CPC VROM may be setted from snapshot if plugin is activated
- Play2CPC VROM may be mapped from Ram or Graphics Explorer if plugin is activated
- New byte graphic visualisation mode in Graphics Explorer
- New zoom mode at crappy ratio of x1.5 (OK for Raw/Monochrome, but not CTM display)
- allow screen capture during debug via context menu (right-click on trace pannel)
- file selection now use full window size
- bugfix FDC ControlMark management
- bugfix FDC GetID regression (FatMag wasn't readable)
- bugfix FDC bit writing on track loop
- bugfix Play2CPC VROM activation when there is no cartridge
- bugfix savestate select (click was not precise as it was supposed to be)
- bugfix OUT (C),L opcode display when disassembling
- bugfix plugin activation from command line
- bugfix Graphics Explorer interactivity (wasn't able to going down in memory)
- bugfix Windows version crash when loading in overscan mode or CTM resize

=== 2024 new resolutions release ===

- new CRT filter "CTM" with glowing slot mask
- new CRT filter "Trinitron" for Arcade machine lovers
- new CRT filter "GT6x" dedicated to monochrome display
- new floppy explorer module in drive configuration submenu (beta)
- new HDD drive sounds + model configuration (totally useless but hey!)
- new Orgams ROM pack in order to work with IMPsuite pack
- ability to save snapshot with F4 key (Asic chunks, REMU, extended RAM, ROM, Firmware backup supported)
- ability to reset emulator from trace with F12 key or button from HUD
- upper memory is not more reinit when RESET is triggered
- text is also highlighted in ramdump when there is a selection or breakpoint visible
- handle cross to close emulator when in configuration menu (except ROM config+disk editor)
- display 0/1 instead of 0/Pflags for IFF flip/flop in trace
- FDC bit read/write fully rewritten to manage strong speed variations and physical limits
- FDC seek and calibration engine is dissociated from physical drives
- FDC drive pooling management + Sense Interrupt rewritten
- FDC debug window with moar informations
- bugfix FDC Seek (emulator crash when ejection during seek)
- bugfix FDC WriteData burst mode
- bugfix FDC format execution phase status update
- bugfix FDC angle preservation from track to track
- bugfix EDSK recording with spiketrack
- bugfix annoying glitch with some audio samples
- bugfix error messages when a file cannot be loaded
- bugfix key repetition when using keyboard remapping
- bugfix regression about plugins status in configuration file

=== 2023 ergonomics release ===

- windows SDL version upgraded to 2.28.5 (like Linux/Mac)
- windows x64 and x86 version
- new plugin Willy OPL3 + music pack for albireo
- new plugin multiface II
- new plugin hacker in two flavours
- new command line options for emulator configuration (see -h option for help)
- new scrollbar in CPU Trace
- new disassembling explorer (as many as you need)
- new automatic savestate for gaming with interactive rollback
- memory, graphics and disassembling explorer windows are now saved in config file
- Emulator window can be doubled in size
- added host mouse wheel management to SYMBiFace mouse plugin (not working in SymbOS anyway)
- may use cursor, pgup, pgdown and shift+cursor, shift+pgup, shift+pgdown in RAM/ROM explorer to navigate
- may use L key in RAM/ROM explorer to search for a label and go to it
- text files can be autoload or dragged'n'dropped for autotype (.txt)
- hardware sprite's coordinates now displayed in ASIC debug
- hSync & vSync are back in Gate Array window (because CRTC hSync and vSync are delayed/filtered by the Gate Array)
- handle cross to close label windows and many submenus
- import index aliases in trace with REMU chunk (structure's field indexes)
- bugfix tab colors in keyboard/joy configuration
- bugfix savestate (regression in Christmas release with nop counter)
- bugfix memory disassembling to file
- bugfix XMASS IMG folder for MacOS version
- bugfix NMI, Int, Ready signals from plugins
- bugfix VMA display in gate_array and CRTC debug
- bugfix crash when changing from CTM to CM in overscan mode
- bugfix navigate in directories with Albireo when they are lower case

=== 2023 Christmas release ===

- new plugin Digiblaster
- new plugin AMdrum
- new plugin SSA-1 speech synthetiser
- new plugin DK-Tronic speech synthetiser
- new plugin Techni-musique Synthetiseur Vocal
- new plugin PlayCity
- new plugin Play2CPC
- new plugin Dandanator
- new plugin Magnum Light Phaser Gun
- new plugin GunStick
- new plugin Trojan Light Phaser (not working)
- new plugin WestPhaser
- new plugin Kempston Mouse
- new plugin AMX Mouse
- new plugin SYMBi-Mouse
- new plugin Nova
- new plugin SYMBi-RTC
- new plugin X-MASS with IDE driver
- new plugin Albireo up to dual support
- new floppy format supported thanks to Lone (IPF, SCP, CTRAW)
- new floppy DSK/EDSK routine from Lone because it's the best ever made
- new popup from trace with left-click to open any debug windows (usefull for breakpoints manager)
- new FDC behaviour for 'optional' bit, sometimes read, sometimes not (those are NOT weak bits!)
- some parameters can be set from the command line (run -h to see available options)
- safer scale factor with audio export
- ACE-DL tag in EDSK output (was REMU)
- trace refresh optimisation to use less CPU with many windows
- internal graphic library optimisations
- load back previous saved ROM (an oversight, sorry)
- Audio ultra low latency mode (use with dedicated hardware!)
- bugfix OS display in configuration
- bugfix trace NOP counter
- bugfix Drive B ejection
- bugfix selection display and breakpoint zone display when scrolling in memory dump
- bugfix breakpoint list refresh (for counter updates)

=== 2023 november the 8th ===

- Manage floppy can import ASCII files (support both carriage return)
- clicking manage floppy without disk will create a new disk
- configurate precise CPU speed control in the range 5-200%
- save current floppy in each drives and reload at startup
- save current cartridge and reload at startup
- added Eject buttons for Drives and Cartridge in the HUD
- visible screen is highlighted in overscan mode
- added Cartridge mapping in Memory Dump/Graphics explorer windows
- display longer labels in Trace before opcode
- Goto Label window from trace with configurable behaviour on click
- skip empty ROM in mapping dump when decrement current ROM
- separating the breakpoint and label configuration
- Trace user breakpoint refactoring
- ability to enable/disable breakpoint category from breakpoint window
- toggle all breakpoints to watcher/original runmode from breakpoints window
- new Trace shortcut F10 to step out
- new General shortcut F5 to toggle FullSpeed
- save opened windows on close and reopen windows at startup
- more settings saved to configuration file
- simplification of CRTC-1 sick mode where both C0 and C9 base are reset to the offset from R12/R13

- bugfix graphics explorer params
- bugfix Emulator in infinite loop when tracing code due to audio output
- bugfix mouse wheel inside Trace
- bugfix Linux full throttle with small input windows may crash the system (at least mine)
- bugfix image capture of the emulator is no more cropped/extended to 270 lines
- bugfix first ROM not saved in configuration file
- bugfix crash when there is no configuration file
- bugfix 16 bits displayed values in stack (oops!)
- bugfix windows positions trouble

